## org.eclipse.datatools.modelbase.sql.schema
Interface SQLObject

All Known Subinterfaces:
  ApproximateNumericDataType, ArrayDataType, Assertion, AttributeDefinition, AuthorizationIdentifier, BaseTable, BinaryStringDataType, BooleanDataType, BuiltInFunction, Catalog, CharacterSet, CharacterStringDataType, CheckConstraint, CollectionDataType, Column, ColumnName, Constraint, ConstructedDataType, CursorReference, Database, DataLinkDataType, DataType, DateDataType, Dependency, DerivedTable, DistinctUserDefinedType, Domain, DoubleObjectPrivilege, Event, ExactNumericDataType, Field, FixedPrecisionDataType, ForeignKey, Function, Group, Grouping, GroupingExpression, GroupingSets, GroupingSetsElement, GroupingSetsElementExpression, GroupingSetsElementSublist, GroupingSpecification, IdentitySpecifier, Index, IndexMember, IntegerDataType, IntervalDataType, Method, MultisetDataType, NumberDataType, NumericalDataType, OrderByOrdinal, OrderByResultColumn, OrderBySpecification, OrderByValueExpression, Parameter, PersistentTable, PredefinedDataType, Predicate, PredicateBasic, PredicateBetween, PredicateExists, PredicateIn, PredicateInValueList, PredicateInValueRowSelect, PredicateInValueSelect, PredicateIsNull, PredicateLike, PredicateQuantified, PredicateQuantifiedRowSelect, PredicateQuantifiedValueSelect, PrimaryKey, Privilege, Procedure, QueryChangeStatement, QueryCombined, QueryDeleteStatement, QueryExpressionBody, QueryExpressionDefault, QueryExpressionRoot, QueryInsertStatement, QueryMergeStatement, QueryResultSpecification, QuerySearchCondition, QuerySelect, QuerySelectStatement, QueryStatement, QueryUpdateStatement, QueryValueExpression, QueryValues, ReferenceConstraint, ReferenceDataType, ResultColumn, ResultTableAllColumns, Role, RoleAuthorization, Routine, RoutineResultTable, RowDataType, Schema, SearchConditionCombined, SearchConditionDefault, SearchConditionNested, Sequence, Source, SQLDataType, SQLQueryObject, SQLStatementDefault, StructuredUserDefinedType, SuperGroup, SuperGroupElement, SuperGroupElementExpression, SuperGroupElementSublist, Table, TableConstraint, TableCorrelation, TableExpression, TableFunction, TableInDatabase, TableJoined, TableNested, TablePrivilege, TableReference, TemporaryTable, TimeDataType, Trigger, TypedElement, UniqueConstraint, UpdateAssignmentExpression, UpdateSource, UpdateSourceExprList, UpdateSourceQuery, User, UserDefinedFunction, UserDefinedType, UserDefinedTypeOrdering, ValueExpressionAtomic, ValueExpressionCase, ValueExpressionCaseElse, ValueExpressionCaseSearch, ValueExpressionCaseSearchContent, ValueExpressionCaseSimple, ValueExpressionCaseSimpleContent, ValueExpressionCast, ValueExpressionColumn, ValueExpressionCombined, ValueExpressionDefault, ValueExpressionDefaultValue, ValueExpressionFunction, ValueExpressionLabeledDuration, ValueExpressionNested, ValueExpressionNullValue, ValueExpressionScalarSelect, ValueExpressionSimple, ValueExpressionVariable, ValuesRow, ViewTable, WithTableReference, WithTableSpecification, XMLAggregateFunction, XMLAggregateSortSpecification, XMLAttributeDeclarationItem, XMLDataType, XMLNamespaceDeclarationDefault, XMLNamespaceDeclarationItem, XMLNamespaceDeclarationPrefix, XMLNamespacesDeclaration, XMLPredicate, XMLPredicateContent, XMLPredicateDocument, XMLPredicateExists, XMLPredicateValid, XMLQueryArgumentItem, XMLQueryArgumentList, XMLQueryExpression, XMLSerializeFunction, XMLSerializeFunctionEncoding, XMLSerializeFunctionTarget, XMLTableColumnDefinitionDefault, XMLTableColumnDefinitionItem, XMLTableColumnDefinitionOrdinality, XMLTableColumnDefinitionRegular, XMLTableFunction, XMLValueExpressionCast, XMLValueFunction, XMLValueFunctionComment, XMLValueFunctionCommentContent, XMLValueFunctionConcat, XMLValueFunctionConcatContentItem, XMLValueFunctionDocument, XMLValueFunctionDocumentContent, XMLValueFunctionElement, XMLValueFunctionElementContentItem, XMLValueFunctionElementContentList, XMLValueFunctionForest, XMLValueFunctionForestContentItem, XMLValueFunctionParse, XMLValueFunctionParseContent, XMLValueFunctionPI, XMLValueFunctionPIContent, XMLValueFunctionQuery, XMLValueFunctionQueryReturning, XMLValueFunctionText, XMLValueFunctionTextContent, XMLValueFunctionValidate, XMLValueFunctionValidateAccordingTo, XMLValueFunctionValidateAccordingToIdentifier, XMLValueFunctionValidateAccordingToURI, XMLValueFunctionValidateContent, XMLValueFunctionValidateElement, XMLValueFunctionValidateElementName, XMLValueFunctionValidateElementNamespace

All Known Implementing Classes:
  ApproximateNumericDataTypeImpl, ArrayDataTypeImpl, AssertionImpl, AttributeDefinitionImpl, AuthorizationIdentifierImpl, BaseTableImpl, BinaryStringDataTypeImpl, BooleanDataTypeImpl, BuiltInFunctionImpl, CatalogImpl, CharacterSetImpl, CharacterStringDataTypeImpl, CheckConstraintImpl, CollectionDataTypeImpl, ColumnImpl, ColumnNameImpl, ConstraintImpl, ConstructedDataTypeImpl, CursorReferenceImpl, DatabaseImpl, DataLinkDataTypeImpl, DataTypeImpl, DateDataTypeImpl, DependencyImpl, DerivedTableImpl, DistinctUserDefinedTypeImpl, DomainImpl, EventImpl, ExactNumericDataTypeImpl, FieldImpl, FixedPrecisionDataTypeImpl, ForeignKeyImpl, FunctionImpl, GroupImpl, GroupingExpressionImpl, GroupingImpl, GroupingSetsElementExpressionImpl, GroupingSetsElementImpl, GroupingSetsElementSublistImpl, GroupingSetsImpl, GroupingSpecificationImpl, IdentitySpecifierImpl, IndexImpl, IndexMemberImpl, IntegerDataTypeImpl, IntervalDataTypeImpl, MethodImpl, MultisetDataTypeImpl, NumericalDataTypeImpl, OrderByOrdinalImpl, OrderByResultColumnImpl, OrderBySpecificationImpl, OrderByValueExpressionImpl, ParameterImpl, PersistentTableImpl, PredefinedDataTypeImpl, PredicateBasicImpl, PredicateBetweenImpl, PredicateExistsImpl, PredicateImpl, PredicateInImpl, PredicateInValueListImpl, PredicateInValueRowSelectImpl, PredicateInValueSelectImpl, PredicateIsNullImpl, PredicateLikeImpl, PredicateQuantifiedImpl, PredicateQuantifiedRowSelectImpl, PredicateQuantifiedValueSelectImpl, PrimaryKeyImpl, PrivilegeImpl, ProcedureImpl, QueryChangeStatementImpl, QueryCombinedImpl, QueryDeleteStatementImpl, QueryExpressionBodyImpl, QueryExpressionDefaultImpl, QueryExpressionRootImpl, QueryInsertStatementImpl, QueryMergeStatementImpl, QueryResultSpecificationImpl, QuerySearchConditionImpl, QuerySelectImpl, QuerySelectStatementImpl, QueryStatementImpl, QueryUpdateStatementImpl, QueryValueExpressionImpl, QueryValuesImpl, ReferenceConstraintImpl, ReferenceDataTypeImpl, ResultColumnImpl, ResultTableAllColumnsImpl, RoleAuthorizationImpl, RoleImpl, RoutineImpl, RoutineResultTableImpl, RowDataTypeImpl, SchemaImpl, SearchConditionCombinedImpl, SearchConditionDefaultImpl, SearchConditionNestedImpl, SequenceImpl, SourceImpl, SQLDataTypeImpl, SQLObjectImpl, SQLQueryObjectImpl, SQLStatementDefaultImpl, StructuredUserDefinedTypeImpl, SuperGroupElementExpressionImpl, SuperGroupElementImpl, SuperGroupElementSublistImpl, SuperGroupImpl, TableConstraintImpl, TableCorrelationImpl, TableExpressionImpl, TableFunctionImpl, TableImpl, TableInDatabaseImpl, TableJoinedImpl, TableNestedImpl, TableReferenceImpl, TemporaryTableImpl, TimeDataTypeImpl, TriggerImpl, TypedElementImpl, UniqueConstraintImpl, UpdateAssignmentExpressionImpl, UpdateSourceExprListImpl, UpdateSourceImpl, UpdateSourceQueryImpl, UserDefinedFunctionImpl, UserDefinedTypeImpl, UserDefinedTypeOrderingImpl, UserImpl, ValueExpressionAtomicImpl, ValueExpressionCaseElseImpl, ValueExpressionCaseImpl, ValueExpressionCaseSearchContentImpl, ValueExpressionCaseSearchImpl, ValueExpressionCaseSimpleContentImpl, ValueExpressionCaseSimpleImpl, ValueExpressionCastImpl, ValueExpressionColumnImpl, ValueExpressionCombinedImpl, ValueExpressionDefaultImpl, ValueExpressionDefaultValueImpl, ValueExpressionFunctionImpl, ValueExpressionLabeledDurationImpl, ValueExpressionNestedImpl, ValueExpressionNullValueImpl, ValueExpressionScalarSelectImpl, ValueExpressionSimpleImpl, ValueExpressionVariableImpl, ValuesRowImpl, ViewTableImpl, WithTableReferenceImpl, WithTableSpecificationImpl, XMLAggregateFunctionImpl, XMLAggregateSortSpecificationImpl, XMLAttributeDeclarationItemImpl, XMLDataTypeImpl, XMLNamespaceDeclarationDefaultImpl, XMLNamespaceDeclarationItemImpl, XMLNamespaceDeclarationPrefixImpl, XMLNamespacesDeclarationImpl, XMLPredicateContentImpl, XMLPredicateDocumentImpl, XMLPredicateExistsImpl, XMLPredicateImpl, XMLPredicateValidImpl, XMLQueryArgumentItemImpl, XMLQueryArgumentListImpl, XMLQueryExpressionImpl, XMLSerializeFunctionEncodingImpl, XMLSerializeFunctionImpl, XMLSerializeFunctionTargetImpl, XMLTableColumnDefinitionDefaultImpl, XMLTableColumnDefinitionItemImpl, XMLTableColumnDefinitionOrdinalityImpl, XMLTableColumnDefinitionRegularImpl, XMLTableFunctionImpl, XMLValueExpressionCastImpl, XMLValueFunctionCommentContentImpl, XMLValueFunctionCommentImpl, XMLValueFunctionConcatContentItemImpl, XMLValueFunctionConcatImpl, XMLValueFunctionDocumentContentImpl, XMLValueFunctionDocumentImpl, XMLValueFunctionElementContentItemImpl, XMLValueFunctionElementContentListImpl, XMLValueFunctionElementImpl, XMLValueFunctionForestContentItemImpl, XMLValueFunctionForestImpl, XMLValueFunctionImpl, XMLValueFunctionParseContentImpl, XMLValueFunctionParseImpl, XMLValueFunctionPIContentImpl, XMLValueFunctionPIImpl, XMLValueFunctionQueryImpl, XMLValueFunctionQueryReturningImpl, XMLValueFunctionTextContentImpl, XMLValueFunctionTextImpl, XMLValueFunctionValidateAccordingToIdentifierImpl, XMLValueFunctionValidateAccordingToImpl, XMLValueFunctionValidateAccordingToURIImpl, XMLValueFunctionValidateContentImpl, XMLValueFunctionValidateElementImpl, XMLValueFunctionValidateElementNameImpl, XMLValueFunctionValidateElementNamespaceImpl, XMLValueFunctionValidateImpl

public interface SQLObject

A representation of the model object 'SQL Object'. The base object to be used for any Relation Database concept, representing the placeholder for the name and alias. This object will extend ENamedElement in the generated code. The string attribute name will be inherited from ENamedElement. Note: In the RDB sense, only table and view objects can be represented by aliases, but DB2 defines also database and network aliases, and even for nicknames that refer to data tables or views located on federated systems.

The following features are supported:

- `Dependencies`
- `Description`
- `Label`
- `Comments`
- `Privileges`

See Also:
  `SQLSchemaPackage.getSQLObject()`

Method Summary
`EAnnotation` `addEAnnotation(java.lang.String source)`
`void` `addEAnnotationDetail(EAnnotation eAnnotation, java.lang.String key, java.lang.String value)`
`EList` `getComments()` Returns the value of the 'Comments' reference list.
`EList` `getDependencies()` Returns the value of the 'Dependencies' containment reference list.
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`EAnnotation` `getEAnnotation(java.lang.String source)`
`java.lang.String` `getEAnnotationDetail(EAnnotation eAnnotation, java.lang.String key)`
`java.lang.String` `getLabel()` Returns the value of the 'Label' attribute.
`EList` `getPrivileges()` Returns the value of the 'Privileges' reference list.
`void` `removeEAnnotationDetail(EAnnotation eAnnotation, java.lang.String key)`
`void` `setAnnotationDetail(EAnnotation eAnnotation, java.lang.String key, java.lang.String value)`
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.

Method Detail

### getDependencies

    public EList getDependencies()

  Returns the value of the 'Dependencies' containment reference list. The list contents are of type `Dependency`.

  If the meaning of the 'Dependencies' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Dependencies' containment reference list.
  See Also:
    `SQLSchemaPackage.getSQLObject_Dependencies()`

### getDescription

    public java.lang.String getDescription()

  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `SQLSchemaPackage.getSQLObject_Description()`

### setDescription

    public void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`

### getLabel

    public java.lang.String getLabel()

  Returns the value of the 'Label' attribute.

  If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label' attribute.
  See Also:
    `setLabel(String)`, `SQLSchemaPackage.getSQLObject_Label()`

### setLabel

    public void setLabel(java.lang.String value)

  Sets the value of the '`Label`' attribute.

  Parameters:
    `value` - the new value of the 'Label' attribute.
  See Also:
    `getLabel()`

### getComments

    public EList getComments()

  Returns the value of the 'Comments' reference list. The list contents are of type `Comment`. It is bidirectional and its opposite is '`SQL Object`'.

  If the meaning of the 'Comments' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Comments' reference list.
  See Also:
    `SQLSchemaPackage.getSQLObject_Comments()`, `Comment.getSQLObject()`

### getPrivileges

    public EList getPrivileges()

  Returns the value of the 'Privileges' reference list. The list contents are of type `Privilege`. It is bidirectional and its opposite is '`Object`'.

  If the meaning of the 'Privileges' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Privileges' reference list.
  See Also:
    `SQLSchemaPackage.getSQLObject_Privileges()`, `Privilege.getObject()`

### addEAnnotation

    public EAnnotation addEAnnotation(java.lang.String source)

### addEAnnotationDetail

    public void addEAnnotationDetail(EAnnotation eAnnotation,
                                     java.lang.String key,
                                     java.lang.String value)

### getEAnnotationDetail

    public java.lang.String getEAnnotationDetail(EAnnotation eAnnotation,
                                                 java.lang.String key)

### setAnnotationDetail

    public void setAnnotationDetail(EAnnotation eAnnotation,
                                    java.lang.String key,
                                    java.lang.String value)

### removeEAnnotationDetail

    public void removeEAnnotationDetail(EAnnotation eAnnotation,
                                        java.lang.String key)

### getEAnnotation

    public EAnnotation getEAnnotation(java.lang.String source)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.